Bug 815217 - Bug in auto-possessifying characters from 127-255 range in non-unicode mode
Summary: Bug in auto-possessifying characters from 127-255 range in non-unicode mode
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pcre
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL: https://lists.exim.org/lurker/message...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-23 07:12 UTC by Petr Pisar
Modified: 2012-05-26 06:49 UTC (History)
3 users (show)

Fixed In Version: pcre-8.12-8.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 815282 (view as bug list)
Environment:
Last Closed: 2012-05-10 14:16:59 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Pisar 2012-04-23 07:12:14 UTC
This should match:

/\w+\x{C4}/8BZT1
a\x{C4}\x{C4}

But it does not because a some tests in non-unicode mode checks only for characters with ordinal numbers 0-127 instead of 0-255.

This is fixed in upstream commit:

r962 | ph10 | 2012-04-20 19:28:23 +0200 (PĆ”, 20 dub 2012) | 3 lines
Fix auto-possessifying bugs when PCRE_UCP is not set, but character tables 
specify characters in the range 127-255 are letters, spaces, etc.

All Fedoras affected.

Comment 1 Petr Pisar 2012-04-23 08:03:49 UTC
Fixed as pcre-8.30-5.fc18 in F18.

Comment 2 Fedora Update System 2012-04-23 08:52:10 UTC
pcre-8.21-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pcre-8.21-5.fc17

Comment 3 Fedora Update System 2012-04-23 09:15:00 UTC
pcre-8.12-9.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pcre-8.12-9.fc16

Comment 4 Fedora Update System 2012-04-23 09:23:32 UTC
pcre-8.12-8.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pcre-8.12-8.fc15

Comment 5 Fedora Update System 2012-04-24 03:16:12 UTC
Package pcre-8.21-5.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pcre-8.21-5.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6453/pcre-8.21-5.fc17
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2012-05-10 14:16:59 UTC
pcre-8.12-9.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2012-05-10 14:19:29 UTC
pcre-8.12-8.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2012-05-26 06:49:05 UTC
pcre-8.21-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.